import { FASTElement } from '@ni/fast-element';
export interface ErrorPattern {
    errorText?: string;
    errorVisible: boolean;
    errorHasOverflow: boolean;
}
type FASTElementConstructor = abstract new (...args: any[]) => FASTElement;
export declare function mixinErrorPattern<TBase extends FASTElementConstructor>(base: TBase): (abstract new (...args: any[]) => {
    /**
     * The error text that will be displayed when a component is in the error appearance
     */
    errorText?: string;
    errorVisible: boolean;
    errorHasOverflow: boolean;
    readonly $fastController: import("@ni/fast-element").Controller;
    $emit(type: string, detail?: any, options?: Omit<CustomEventInit, "detail">): boolean | void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
}) & TBase;
export {};
